Bug 869589 - packagekit: Warning about unsigned software doesn't contain package name
packagekit: Warning about unsigned software doesn't contain package name
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: PackageKit (Show other bugs)
18
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: 1152586
  Show dependency treegraph
 
Reported: 2012-10-24 06:46 EDT by Bohuslav "Slavek" Kabrda
Modified: 2016-02-10 09:43 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1152586 (view as bug list)
Environment:
Last Closed: 2016-01-26 04:35:23 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bohuslav "Slavek" Kabrda 2012-10-24 06:46:45 EDT
Description of problem:
While doing update via packagekit, a warning window has shown, saying that
(snip)
The software is not signed by a trusted provider.
(snip)
Are you sure you want to update this package?

But the update contains 70 packages and there is no way to tell which one of them is unsigned.


Version-Release number of selected component (if applicable):
PackageKit-0.8.4-3.fc18.x86_64

How reproducible:
Updating multiple packages, at least one is unsigned.

Steps to Reproduce:
1. Wait for packagekit to suggest updating
2. Open packagekit and let it do the update
3. Wait for the warning window
  
Actual results:
The user doesn't know which of the packages is/are unsigned.

Expected results:
The warning dialog should contain a list of the unsigned packages.

Additional info:
Comment 1 Fedora End Of Life 2013-12-21 10:09:33 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:50:53 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 3 Jeff Needle 2014-02-05 18:01:40 EST
This bug still exists and it continues to lead to potentially dangerous behavior.  Without any idea of what the offending package is leading to the warning, the user is inclined to approve it and install malicious software.  This has been around for many releases - let's fix it.
Comment 4 Jan Kurik 2015-12-22 06:32:05 EST
This bug is currently assigned to an unsupported release. If you think this bug is still valid and should remain open, please re-assign it to a supported release (F22, F23) or to rawhide.

Bugs which will be assigned to an unsupported release are going to be closed as EOL (End Of Life) on January 26th, 2016.

Note You need to log in before you can comment on or make changes to this bug.